# class Net::LDAP::Entry

### Public Class Methods

new(*args) click to toggle source

    # File lib/active_ldap/adapter/net_ldap_ext.rb, line 7
    def initialize(*args)
      @original_attribute_names = []
      initialize_without_original_attribute_names(*args)
    end

Also aliased as: initialize_without_original_attribute_names

### Public Instance Methods

[]=(name, value) click to toggle source

    # File lib/active_ldap/adapter/net_ldap_ext.rb, line 13
    def []=(name, value)
      @original_attribute_names << name
      aset_without_original_attribute_names(name, value)
    end

Also aliased as: aset_without_original_attribute_names
aset_without_original_attribute_names(name, value)
Alias for: []=
initialize_without_original_attribute_names(*args)
Alias for: new
original_attribute_names() click to toggle source

    # File lib/active_ldap/adapter/net_ldap_ext.rb, line 18
    def original_attribute_names
      @original_attribute_names.compact.uniq
    end